- Qt 5.5
- Qt Widgets
- C++ Classes
- QKeyEventTransition
- Qt 5.5.1 Reference Documentation

# QKeyEventTransition Class

The QKeyEventTransition class provides a transition for key events. More...

Header: | #include <QKeyEventTransition>
qmake: | QT += widgets
Since: | Qt 4.6
Inherits: |

- List of all members, including inherited members

## Properties

- key : int
- modifierMask : Qt::KeyboardModifiers

## Public Functions

| QKeyEventTransition(QState * sourceState = 0)
| QKeyEventTransition(QObject * object, QEvent::Type type, int key, QState * sourceState = 0)
| ~QKeyEventTransition()
int | key() const
Qt::KeyboardModifiers | modifierMask() const
void | setKey(int key)
void | setModifierMask(Qt::KeyboardModifiers modifierMask)

## Protected Functions

bool | eventTest(QEvent * event)
void | onTransition(QEvent * event)

## Detailed Description

The QKeyEventTransition class provides a transition for key events.

QKeyEventTransition is part of The State Machine Framework.

See also QState::addTransition().

## Property Documentation

### key : int

This property holds the key that this key event transition is associated with.

Access functions:

int | key() const
void | setKey(int key)

### modifierMask : Qt::KeyboardModifiers

This property holds the keyboard modifier mask that this key event transition checks for.

Access functions:

Qt::KeyboardModifiers | modifierMask() const
void | setModifierMask(Qt::KeyboardModifiers modifierMask)

## Member Function Documentation

### QKeyEventTransition::QKeyEventTransition(QState * sourceState = 0)

Constructs a new key event transition with the given sourceState.

### QKeyEventTransition::QKeyEventTransition(QObject * object, QEvent::Type type, int key, QState * sourceState = 0)

Constructs a new key event transition for events of the given type for the given object, with the given key and sourceState.

### QKeyEventTransition::~QKeyEventTransition()

Destroys this key event transition.

### `[protected]` bool QKeyEventTransition::eventTest(QEvent * event)

### `[protected]` void QKeyEventTransition::onTransition(QEvent * event)